Missing static libraries in current versions of mingw64 expat (x86 and x64)

David Lee mailtolky@gmail.com
Mon Dec 12 02:24:00 GMT 2016


Hi,

I am trying to do some cross-compiling with cross compilers:
i686-w64-mingw32-gcc and x86_64-w64-mingw32-gcc, with the expat
library.

As of now, Cygwin provides two versions: 'previous' (2.1.1-2) and
'current' (2.2.0-1):

mingw64-i686-expat-2.1.1-2
mingw64-i686-expat-2.2.0-1

mingw64-x86_64-expat-2.1.1-2
mingw64-x86_64-expat-2.2.0-1

Previous versions have both static (libexpat.a) and shared versions
(libexpat.dll.a).
Current versions do not have static versions; only shared.

Is it an oversight or are there some reasons for the lack of it?

Thanks for your help.

David Lee.



More information about the Cygwin mailing list